#
# spec file for package saja-cascadia-code-fonts
#
# Copyright (c) 2021 SUSE LLC
# Copyright (c) 2019 Xu Zhao (i@xuzhao.net).
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define fontname cascadia-code

Name:           saja-cascadia-code-fonts
Version:        2102.25
Release:        1.7
Summary:        Monospace terminal fonts from Microsoft
License:        OFL-1.1
Group:          System/X11/Fonts
URL:            https://github.com/microsoft/cascadia-code
Source0:        https://github.com/microsoft/cascadia-code/releases/download/v%{version}/CascadiaCode-%{version}.zip
Source1:        LICENSE.txt
Source2:        OFL-FAQ.txt
BuildRequires:  fontpackages-devel
BuildRequires:  unzip
BuildArch:      noarch
%reconfigure_fonts_prereq

%description
Cascadia Code is a monospaced font that was designed also with Visual Studio / Visual Studio Code in mind.

%prep
%setup -q -n ttf
cp %{SOURCE1} .
cp %{SOURCE2} .

%build

%install
mkdir -p %{buildroot}%{_ttfontsdir}/
install -m 0644 *.ttf %{buildroot}%{_ttfontsdir}

%reconfigure_fonts_scriptlets

%files
%dir %{_ttfontsdir}/
%{_ttfontsdir}/*
%license OFL-FAQ.txt LICENSE.txt

%changelog
* Thu Apr  8 2021 Thomas Schraitle <thomas.schraitle@suse.com> - 2102.25
- Update to version 2102.25
  * Closes #406 - updated anchor type to lock with the other equals-related ligatures
  * Closes #408 - corrected component used for glyph to align with Unicode
  * Closes #412 - updated locl features removing iacute_j ligature and Catalan substitution
  * Closes #414 - increased overlaps of middle glyph for arrow ligatures
  * Closes #415 - reduces width of macronbelow
  * Closes #416 - rolls back name ID 4 modification as JetBrains cannot process it correctly
  * Closes #428 - rolls back variation of the underline to prevent MVAR table generation
  * Repositioned tilde in related ligatures. Previously it was higher than the standard one.
  * Added missing vietnamese anchors on acute and grave (futureproofing).
  * Corrected / made consistent greater & less positioning in </> and <$> related ligatures.
  * Otherwise reviewed hinting
  For previous releases, see:
  * 2102.03: https://github.com/microsoft/cascadia-code/releases/tag/v2102.03
  * 2009.22: https://github.com/microsoft/cascadia-code/releases/tag/v2009.22
  * 2009.21: https://github.com/microsoft/cascadia-code/releases/tag/v2009.21
* Wed Sep 16 2020 Ismail Dönmez <idonmez@suse.com>
- Update to version 2009.14
  * Cascadia now has support for the Salishan languages of the
    Pacific Northwest and other coastal scripts!
  * We've fixed an issue in the -<< ligature that caused it to
    overlap itself at certain font weights (#355)
  * We remastered mark positioning for glyphs with existing
    diacritics for improved design for letters with multiple
    diacritics above
  * We have implemented a workaround for a freetype rendering
    issue that resulted in chunky rendering for certain glyphs
    (#350)
- Package variable fonts instead of static ones
* Thu Aug 27 2020 Ismail Dönmez <idonmez@suse.com>
- Update to version 2008.25
  * We've temporarily stopped shipping variable OTFs due to some
    concerns about overlapping and psautohint
  * The heaviest weight of Cascadia has been made a little lighter
  * We have aligned the Powerline glyphs and the box-/line-drawing
    glyphs better to their metrics and to the letter glyphs
  * Diacritic anchors have been added to all alphabetic characters (#282, #330)
  * The font now ships with decomposed fi and fl ligatures
  * The horn combining diacritic has had its weight fixed somewhat for Bold
  * Primes have been redesigned to give them a more "angled" feel (#294)
  * Acute and grave have been given additional weight to help
    differentiate them from dot (#268)
  * The contextual alternate for x used to signify hexadecimal
    numbers has been disabled (#285)
* Wed Jul  8 2020 Ismail Dönmez <idonmez@suse.com>
- Update to version 2007.01
  * The double-equals ligature == has been updated to improve
    visual clarity
  * The diacritics on IJacute are no longer malformed
  * We've introduced a set of compatibility features to improve
    the rendering of powerline glyphs in legacy GDI applications
* Tue May 19 2020 Ismail Dönmez <idonmez@suse.com>
- Update to version 2005.15
  * This release of Cascadia Code adjusts the Windows GDI metrics
    to reduce line spacing and fix some vertical alignment issues
    in legacy applications.
* Wed May 13 2020 Ismail Dönmez <idonmez@suse.com>
- Update to version 2004.30
  * Lots of changes, see https://github.com/microsoft/cascadia-code/releases/tag/v2004.30
- Install OTF version of fonts
- Cleanup spec file
- Add LICENSE.txt and OFL-FAQ.txt
* Fri Oct  4 2019 Xu Zhao <i@xuzhao.net>
- v1910.04
  * This release contains the addition of the Latin-1 character set and box drawing glyphs.
* Thu Sep 19 2019 Xu Zhao <i@xuzhao.net>
- Initial release v1909.16
  * This release introduces the initial version of Cascadia Code, under the SIL Open Font license.
